Help get this topic noticed by sharing it on Twitter, Facebook, or email.
I’m irritated

Update install error

My Persona's Interactive is trying to install an update when FF starts but I keep getting this error, every time for almost a month now. "Firefox Download error -228" Any ideas?
1 person has
this question
+1
Reply